class HomeGoodsHeaderModel {
 // String type;
  String title;
  String subtitle;
  int index;
  dynamic data;

  HomeGoodsHeaderModel(
      { this.title, this.subtitle, this.index, this.data});

  HomeGoodsHeaderModel.fromJson(Map<String, dynamic> json) {
   /// type = json['type'];
    title = json['title'];
    subtitle = json['subtitle'];
    index = json['index'];
    data = json['data'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    //data['type'] = this.type;
    data['title'] = this.title;
    data['subtitle'] = this.subtitle;
    data['index'] = this.index;
    if (this.data != null) {
      data['data'] = this.data.toJson();
    }
    return data;
  }
}

class Data {
  String pvd;
  String categoryId;

  Data({this.pvd, this.categoryId});

  Data.fromJson(Map<String, dynamic> json) {
    pvd = json['pvd'];
    categoryId = json['category_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['pvd'] = this.pvd;
    data['category_id'] = this.categoryId;
    return data;
  }
}
